module Admin::PersonalWritingsHelper

	def get_paper_list
		user = current_user.nil? ? OrbitHelper.current_user : current_user
	  user_profile = user.member_profile
	  writings = Writing.where(:member_profile_id => user_profile.id)
	  writings = writings.collect do |l|
	      files = l.writing_files.collect do |lf|
	          {
	              "title" => lf.title,
	              "description" => lf.description,
	              "link" => lf.file.url,
	              "extension" => (lf.file.url.split(".").last rescue "")
	          }
	      end
	      {
	          "id" => l.id.to_s,
	          "edit_url" => "/#{I18n.locale.to_s}/admin/members/#{user_profile.to_param}/writings/#{l.to_param}/edit",
	          "delete_url" => "/#{I18n.locale.to_s}/admin/writings/#{l.id.to_s}",
	          "paper_title" => l.writing_title,
	          "keywords" => l.keywords,
	          "files" => files
	      }
	  end
	  writings
	end

	def import_this_writing(row, mp)
		value = nil
	  	writing = Writing.new
	  	row.cells.each_with_index do |cell,index|
	  		next if index < 2
	  		next if cell.nil?
	  		val = cell.value
	  		next if val.nil? || val == ""
	  		case index
	  		when 2
	  			value = {"en" => val}
	  		when 3
	  			begin
	  				value["zh_tw"] = val 
	  			rescue 
	  				value = {"zh_tw" => val}
	  			end
	  			writing.writing_title_translations = value
	  		when 4
	  			value = {"en" => val}
	  		when 5
	  			begin
	  				value["zh_tw"] = val 
	  			rescue 
	  				value = {"zh_tw" => val}
	  			end
	  			writing.other_translations = value
	  		when 6
	  			writing.year = val
	  		when 7
	  			writing.month = val
	  		when 8
	  			writing.url = val
	  		end
  		end
  		writing.member_profile = mp
  		writing.save
	end
	def get_data_for_excel(year_start,year_end)
    data = []
    roles = Role.where(:disabled => false, :title.ne => "", :title.ne => nil).asc(:key)
    roles.each do |role|
      d = {}
      d["name"] = role.title
      mps = role.member_profile_ids
      # d1 = DateTime.new(year_start,1,1,0,0)
      # d2 = DateTime.new(year_end,12,31,23,59)   
      d["data"] = Writing.where(:year.gte => year_start.to_s, :year.lte => year_end.to_s, :member_profile_id.in => mps) rescue []
      data << d
    end
    return data
	end
	def get_chart_data(year_start,year_end,role,type)
	    case type
	    when "category"
	      jls = @module_app.categories
	    end

	    finaldata = []
	    role = Role.find(role) rescue nil
	    mps = []
	    if !role.nil?
	       mps = role.member_profile_ids
	    end
	    jls.each do |jl|
	      data = {}
	      data["name"] = jl.title
	      data["data"] = {}
	      (year_start..year_end).each do |year|
	        # d1 = DateTime.new(year,1,1,0,0)
	        # d2 = DateTime.new(year,12,31,23,59)   
	        t = Writing.where(:year => year.to_s, :member_profile_id.in => mps,:category_id=>jl.id).count rescue 0
	        data["data"][year.to_s] = t
	      end
	      finaldata << data
	    end
	    data = {"name" => "N/A", "data" => {}}
	    (year_start..year_end).each do |year|
	      # d1 = DateTime.new(year,1,1,0,0)
	      # d2 = DateTime.new(year,12,31,23,59)
	      case type
	      when "category"
	         t = Writing.where(:year => year, :member_profile_id.in => mps, :project_type_id => nil).count rescue 0
	      end
	     
	      data["data"][year.to_s] = t
	    end
	    finaldata << data
	    finaldata
	end
end