Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do
      get 'writing_setting' => "writings#setting"
      get 'writings/download_excel_format' => 'writings#excel_format'
      post 'writings/import_from_excel' => 'writings#import_from_excel'

      resources :writings do
        collection do
          get 'toggle_hide' => 'writings#toggle_hide'
          get 'analysis'
          get 'analysis_report'
          get "download_excel"
        end
      end

      resources :members do
        collection do
          scope '(:name-:uid)' do
            resources :writings do
              collection do
                get 'frontend_setting' => 'writings#frontend_setting'
                post 'update_frontend_setting' => 'writings#update_frontend_setting'
              end
            end
          end
        end
      end

		end
	end
end
